File::File(3)

NAME
Win32::File - manage file attributes in perl

SYNOPSIS
        use Win32::File;

DESCRIPTION
This module offers the retrieval and setting of file attributes.

Functions

  NOTE
All of the functions return FALSE (0) if they fail, unless otherwise noted. The function names are exported into the caller's namespace by request.

GetAttributes(filename, returnedAttributes)
    Gets the attributes of a file or directory. returnedAttributes will be set to the OR-ed combination of the filename attributes.

SetAttributes(filename, newAttributes)
    Sets the attributes of a file or directory. newAttributes must be an OR-ed combination of the attributes.

Constants
The following constants are exported by default.

ARCHIVE
COMPRESSED
DIRECTORY
HIDDEN
NORMAL
OFFLINE
READONLY
SYSTEM
TEMPORARY